Package org.eclipse.emf.cdo.common.model

# Class CDOType.Handler

java.lang.Object
org.eclipse.emf.cdo.common.model.CDOType.Handler

Enclosing interface:
  `CDOType`

public abstract static class CDOType.Handler extends Object
A `serialization` and `deserialization` strategy for values of custom `types`.

Since:
  4.18
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOType.Handler.Factory`
Creates `type handlers`.
`static final class`
`CDOType.Handler.Registry`
A global registry for `type handlers`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`Handler(String type)`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`canHandle(Object value)`
`int`
`getPriority()`
`final String`
`getType()`
`abstract Object`
`readValue(CDODataInput in)`
`abstract void`
`writeValue(CDODataOutput out, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_PRIORITY

public static final int DEFAULT_PRIORITY

See Also:
  - Constant Field Values

## Constructor Details

### Handler

public Handler(String type)

## Method Details

### getType

public final String getType()

### getPriority

public int getPriority()

### canHandle

public abstract boolean canHandle(Object value)

### writeValue

public abstract void writeValue(CDODataOutput out, Object value) throws IOException

Throws:
  `IOException`

### readValue

public abstract Object readValue(CDODataInput in) throws IOException

Throws:
  `IOException`